Project

General

Profile

action #120687

[qe-core][functional] test fails in python_flake8 auto_review:"needed by the to be installed python3-flake8":force_result:softfailed

Added by zluo 3 months ago. Updated 13 days ago.

Status:
Blocked
Priority:
Normal
Assignee:
Category:
Bugs in existing tests
Target version:
Start date:
2022-11-17
Due date:
% Done:

0%

Estimated time:
Difficulty:

Description

Observation

openQA test in scenario sle-15-SP5-Online-s390x-extra_tests_textmode_phub@s390x-kvm-sle15 fails in
python_flake8

Test suite description

Maintainer: slindomansilla. Extra tests about CLI software in package hub

Reproducible

Fails since (at least) Build 15.2

Expected result

Last good: (unknown) (or more recent)

Further details

Always latest result in this scenario: latest


Related issues

Related to openQA Tests - action #120879: Skip execution of `extra_tests_phub` by checking if we're already in GMC phase, skip otherwise.Resolved2022-11-23

History

#1 Updated by VANASTASIADIS 3 months ago

  • Status changed from New to In Progress
  • Assignee set to VANASTASIADIS

This is happening since 15sp4 (i.e. https://openqa.suse.de/tests/8644691#step/python_flake8/32). By manually activating PackageHub and running zypper se -s python3-flake8 one can see that a lot of flake8 related packages exist in Backports-Pool, but no bare flake8 package:

S | Name                         | Type    | Version           | Arch   | Repository
--+------------------------------+---------+-------------------+--------+--------------------------------------
  | python3-flake8-blind-except  | package | 0.1.1-bp154.1.25  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-bugbear       | package | 19.8.0-bp154.1.23 | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-builtins      | package | 1.4.1-bp154.1.22  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-class-newline | package | 1.6.0-bp154.1.21  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-debugger      | package | 3.2.1-bp154.1.21  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-deprecated    | package | 1.3-bp154.1.22    | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-docstrings    | package | 1.3.0-bp154.1.26  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-future-import | package | 0.4.6-bp154.1.22  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-import-order  | package | 0.18.1-bp154.1.26 | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-imports       | package | 0.1.1-bp154.1.23  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-pep3101       | package | 1.3.0-bp154.1.15  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-polyfill      | package | 1.0.2-bp154.1.30  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-pyi           | package | 19.3.0-bp154.1.23 | noarch | SUSE-PackageHub-15-SP5-Backports-Pool
  | python3-flake8-quotes        | package | 3.0.0-bp154.1.20  | noarch | SUSE-PackageHub-15-SP5-Backports-Pool

#2 Updated by szarate 2 months ago

  • Related to action #120879: Skip execution of `extra_tests_phub` by checking if we're already in GMC phase, skip otherwise. added

#3 Updated by VANASTASIADIS 2 months ago

This is waiting to be deactivated by the ticket above, also the bug for 15sp4: https://bugzilla.suse.com/show_bug.cgi?id=1205795

#4 Updated by rfan1 2 months ago

The issue on sle15sp5 should be fixed in next 2 weeks :


https://openqa.suse.de/tests/10029620#step/python_flake8/19
seems python3-flake8 package is not available on sle15-sp5

Answer from Wolfgang Engel:

Yes, this is known and we are fixing it within next two weeks.

#5 Updated by openqa_review about 2 months ago

This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: extra_tests_textmode_phub@s390x-kvm-sle15
https://openqa.suse.de/tests/10086935#step/python_flake8/1

To prevent further reminder comments one of the following options should be followed:

  1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
  2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
  3. The bugref in the openQA scenario is removed or replaced, e.g. label:wontfix:boo1234

Expect the next reminder at the earliest in 28 days if nothing changes in this ticket.

#6 Updated by rfan1 24 days ago

  • Assignee changed from VANASTASIADIS to rfan1

#7 Updated by rfan1 24 days ago

  • Status changed from In Progress to Blocked

Let me wait for the package is ready in Phub (along with packages in dependency)

#8 Updated by szarate 13 days ago

  • Subject changed from [qe-core][functional] test fails in python_flake8 to [qe-core][functional] test fails in python_flake8 auto_review:"needed by the to be installed python3-flake8":force_result:softfailed

Also available in: Atom PDF